[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplicationExceptionDlg

Enumeration with dialog types for an application.

## Declaration

Source position: forms.pp line 1433

`type TApplicationExceptionDlg = (`
`aedOkCancelDialog,` |  | Exception handler window will be a dialog with Ok/Cancel buttons.
`aedOkMessageBox` |  | Exception handler window will be a simple message box.
`);`

## Description

TApplicationExceptionDlg is an enumerated type with values that indicates the type of dialog displayed for an application exception. TApplicationExceptionDlg is the type used to implement the ExceptionDialog property in TApplication and TApplicationProperties.

## See also

TApplication.ExceptionDialog |  | Indicates the dialog type used for an exception in the application.
TApplicationProperties.ExceptionDialog |  | Indicates the dialog type displayed for an exception.